Debian Bug report logs - #604019
man bootparm: mention grub, and correct kernel-parameters.txt location

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: jidanni@jidanni.org

Date: Fri, 19 Nov 2010 13:12:01 UTC

Severity: wishlist

Tags: fixed-upstream

Found in version manpages/3.27-1

Fixed in version manpages/3.52-1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mtk.manpages@gmail.com, linux-man@vger.kernel.org, Martin Schulze <joey@debian.org>:
Bug#604019; Package manpages. (Fri, 19 Nov 2010 13:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
New Bug report received and forwarded. Copy sent to mtk.manpages@gmail.com, linux-man@vger.kernel.org, Martin Schulze <joey@debian.org>. (Fri, 19 Nov 2010 13:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: submit@bugs.debian.org
Subject: man bootparm: mention grub, and correct kernel-parameters.txt location
Date: Fri, 19 Nov 2010 21:09:52 +0800
X-Debbugs-Cc: mtk.manpages@gmail.com,linux-man@vger.kernel.org
Package: manpages
Version: 3.27-1
Severity: wishlist
File: /usr/share/man/man7/bootparam.7.gz

We see

   The LILO program (LInux LOader) written by Werner Almesberger is the
   most commonly used.

   The other commonly used Linux loader is 'LoadLin'

Please mention grub.

Also say that kernel-parameters.txt is at
/usr/share/doc/linux-doc-*/Documentation/kernel-parameters.txt.gz
in addition to /usr/src/linux/Documentation/kernel-parameters.txt if
indeed at the latter at all these days.




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#604019; Package manpages. (Wed, 12 Jun 2013 13:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk.manpages@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 12 Jun 2013 13:30:04 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@gmail.com>
To: jidanni@jidanni.org, 604019@bugs.debian.org
Cc: submit@bugs.debian.org, mtk.manpages@gmail.com
Subject: Re: Bug#604019: man bootparm: mention grub, and correct kernel-parameters.txt location
Date: Sat, 08 Jun 2013 05:39:43 +0200
On 11/19/10 14:09, jidanni@jidanni.org wrote:
> X-Debbugs-Cc: mtk.manpages@gmail.com,linux-man@vger.kernel.org
> Package: manpages
> Version: 3.27-1
> Severity: wishlist
> File: /usr/share/man/man7/bootparam.7.gz
> 
> We see
> 
>    The LILO program (LInux LOader) written by Werner Almesberger is the
>    most commonly used.
> 
>    The other commonly used Linux loader is 'LoadLin'

The text on LILO and LoadLin is indeed crufty. I have simply removed all of 
that text, and briefly mentioned GRUB as an example of a boot loader.

> Please mention grub.
> 
> Also say that kernel-parameters.txt is at
> /usr/share/doc/linux-doc-*/Documentation/kernel-parameters.txt.gz
> in addition to /usr/src/linux/Documentation/kernel-parameters.txt if
> indeed at the latter at all these days.

I'm not sure what you mean with this piece. 
Documentation/kernel-parameters.txt is certainly alive and well in my 3.9
source tree...

Cheers,

Michael






Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#604019; Package manpages. (Wed, 12 Jun 2013 13:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk.manpages@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 12 Jun 2013 13:30:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#604019; Package manpages. (Wed, 12 Jun 2013 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 12 Jun 2013 13:39:05 GMT) Full text and rfc822 format available.

Message #20 received at 604019@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: mtk.manpages@gmail.com
Cc: 604019@bugs.debian.org
Subject: Re: Bug#604019: man bootparm: mention grub, and correct kernel-parameters.txt location
Date: Wed, 12 Jun 2013 21:35:42 +0800
OK I see it is currently at
# dlocate kernel-parameters.txt
linux-doc-3.9: /usr/share/doc/linux-doc-3.9/Documentation/kernel-parameters.txt.gz
Thanks.



Added tag(s) pending. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Sun, 14 Jul 2013 19:54:08 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Wed, 31 Jul 2013 18:51:09 GMT) Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. (Wed, 31 Jul 2013 18:51:09 GMT) Full text and rfc822 format available.

Message #27 received at 604019-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 604019-close@bugs.debian.org
Subject: Bug#604019: fixed in manpages 3.52-1
Date: Wed, 31 Jul 2013 18:48:16 +0000
Source: manpages
Source-Version: 3.52-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604019@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 31 Jul 2013 20:20:11 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.52-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 564874 604019
Changes: 
 manpages (3.52-1) unstable; urgency=low
 .
   * Imported Upstream version 3.52
     . bootparam.7: Remove outdated text on LILO and LoadLin (Closes: #604019)
   * Take over libc-bin related manpages (Closes: #564874)
     . d/control: Replaces libc-bin (<< 2.17-91)
     . install: ldd.1 ldconfig.8 ld.so.8 gai.conf.5 zic.8 zdump.8
   * Switch to dpkg-source 3.0 (quilt) format
   * debian/watch: Switch to xz upstream source
Checksums-Sha1: 
 26c529b25ed911bf98e28b2ac0eeb748a0ab6052 1933 manpages_3.52-1.dsc
 199fdb9b3576ec4a060c0fc374aa12f22c7204cf 1162812 manpages_3.52.orig.tar.xz
 761044dd9d3a874c82a1c331f27357b9c6aa69cb 48346 manpages_3.52-1.debian.tar.gz
 cebe5c0a87ea0bc425a6d63e195e894de4ff45b6 845948 manpages_3.52-1_all.deb
 2f51a3a0b11aac74912fc302ac911a1a43221a66 1781174 manpages-dev_3.52-1_all.deb
Checksums-Sha256: 
 78f2a3fcd03e73dfbc07d6ebec0f4bffc995305b41d2af7861c2d2652c8f841b 1933 manpages_3.52-1.dsc
 1d712f128024cf1ab89cd4a1ace973b8999ca40ff3f1502b20e7eb208791a0ca 1162812 manpages_3.52.orig.tar.xz
 3e4551f763411d118fc19288db7dd22adfb219e9f30f651112afa091a667b41a 48346 manpages_3.52-1.debian.tar.gz
 0fc96f6b43a2957285e50f5245b3859f4318da3f841194b55ae3a5e60f7f1cd1 845948 manpages_3.52-1_all.deb
 bc4e3eab546e9ca5a690e933165a82833d9fe3c1878d2f0e66e5f3f615d4cf7a 1781174 manpages-dev_3.52-1_all.deb
Files: 
 5296627dbe11f76e32c44fb0316faae4 1933 doc important manpages_3.52-1.dsc
 dbf00e3a6fd1e23e27a4552bf4d16fed 1162812 doc important manpages_3.52.orig.tar.xz
 6707cf1d6fd9efeca1031a58e13637e4 48346 doc important manpages_3.52-1.debian.tar.gz
 0e6fe65ba758c3412d4b3e35a32ac7cd 845948 doc important manpages_3.52-1_all.deb
 8eeaf1cc9cc15e18dcdfe560f9b74746 1781174 doc optional manpages-dev_3.52-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJR+VhxAAoJEN/3OMLRbPuiXB0P/1rAx0rrMW2qJ0m5UX+ouGpt
D3vgm/OPj/bpdlfrnLBBRj3xX0Bra+8AWAHinGkaP/PhB9W1MGOor5L3+YTeMRNe
Pevk1EmGtlAeY/nY4cgtuAG005FawTAHIorqxHe18jf9SMxQSC7EmGzw2Xxc6goN
Zt5g8TMoGpL/mwvSPaNXRGJpfphx/COyhJriRQmYQ/4a0mCtHtgOG/V77hwnZosm
Y8Y0mqgbOS3Ki2WsearJ8Tc0gwBAZD24e+8TQzVqAM0ZqSNctUuWULA5dTIDIrHI
Rr2j5xCHJj54iHx5qxenBaJw1IQnaZWPdEJsSk6ADaxY9HdqTBXu5uUrrt5Hz7YU
auR5ow6iMJnQ8Nw9g/mbKrBhAHhn5mKxH72OyLXbYSPjjR/6Nvhyp9J6mS+AJG3E
JcCnw0J4ux3CaR6bClQZhuh4SsLgMH/k6UDO7V5n/My2yDt7nw55O+BKLdtr32nu
TLWNN28/jFGNdsP51LBJ4vEdqd6Q+dueaY2R+/nvO4+5H5XbRKSsPay8nYAh2K84
rK9x6U1w/YATmQAoa0q4ySM9PZaP4Jnt8x2hBqtD6tA+QhrlE5TKKCIuOnVNgrur
/vfmHMcMZRMROKXF69JKE0cVtpI1daLfx6e71QEPgw9HjcHkgQPofF0+q+xuFvOd
ViheQx3QttC91FjPq76R
=3FSG
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#604019; Package manpages. (Thu, 01 Aug 2013 07:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 01 Aug 2013 07:57:04 GMT) Full text and rfc822 format available.

Message #32 received at 604019@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: 604019@bugs.debian.org, jidanni@jidanni.org
Subject: Remove lilo from SEE ALSO too
Date: Thu, 01 Aug 2013 09:54:42 +0200
Salut Simon,

From the new man page:

SEE ALSO
       lilo.conf(5), klogd(8), lilo(8), mount(8)

lilo items should be removed from here too.

Regards,
-- 
Eugen



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#604019; Package manpages. (Thu, 01 Aug 2013 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 01 Aug 2013 09:06:04 GMT) Full text and rfc822 format available.

Message #37 received at 604019@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 604019@bugs.debian.org
Cc: jidanni@jidanni.org, "Michael Kerrisk (gmail)" <mtk.manpages@gmail.com>, debc <control@bugs.debian.org>
Subject: Re: Bug#604019: Remove lilo from SEE ALSO too
Date: Thu, 01 Aug 2013 11:03:55 +0200
tags 604019 fixed-upstream
thanks

On 08/01/13 09:54, Eugen Dedu wrote:
> Salut Simon,
> 
>  From the new man page:
> 
> SEE ALSO
>         lilo.conf(5), klogd(8), lilo(8), mount(8)
> 
> lilo items should be removed from here too.


Done. Thanks for spotting that.

Cheers,

Michael




Added tag(s) fixed-upstream. Request was from "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com> to control@bugs.debian.org. (Thu, 01 Aug 2013 09:06:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Sep 2013 07:26:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:24:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.